/* Fig. 11.8: fig11_08.c
   Credit inquiry program */
#include <stdio.h>

int main()
{ 
   int request, account;
   double balance;
   char name[ 30 ];
   FILE *cfPtr;

   if ( ( cfPtr = fopen( "clients.dat", "r" ) ) == NULL )
      printf( "File could not be opened\n" );
   else { 
      printf( "Enter request\n"
             " 1 - List accounts with zero balances\n"
             " 2 - List accounts with credit balances\n"
             " 3 - List accounts with debit balances\n"
             " 4 - End of run\n? " );
      scanf( "%d", &request );

      while ( request != 4 ) { 
         fscanf( cfPtr, "%d%s%lf", &account, name, 
                 &balance );

         switch ( request ) { 
            case 1:
               printf( "\nAccounts with zero "
                       "balances:\n" );

               while ( !feof( cfPtr ) ) { 

                  if ( balance == 0 )
                     printf( "%-10d%-13s%7.2f\n", 
                            account, name, balance );

                  fscanf( cfPtr, "%d%s%lf", 
                         &account, name, &balance );
               }

               break;
            case 2:
               printf( "\nAccounts with credit "
                       "balances:\n" );

               while ( !feof( cfPtr ) ) { 

                  if ( balance < 0 )
                     printf( "%-10d%-13s%7.2f\n", 
                            account, name, balance );

                  fscanf( cfPtr, "%d%s%lf", 
                         &account, name, &balance );
               }

               break;
            case 3:
               printf( "\nAccounts with debit "
                       "balances:\n" );

               while ( !feof( cfPtr ) ) { 

                  if ( balance > 0 )
                     printf( "%-10d%-13s%7.2f\n", 
                            account, name, balance );

                  fscanf( cfPtr, "%d%s%lf", 
                         &account, name, &balance );
               }

               break;            
         }      

         rewind( cfPtr );
         printf( "\n? " );
         scanf( "%d", &request );
      }

      printf( "End of run.\n" );
      fclose( cfPtr );
   }

   return 0;
}



/**************************************************************************
 * (C) Copyright 2000 by Deitel & Associates, Inc. and Prentice Hall.     *
 * All Rights Reserved.                                                   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
