/* Fig. 14.6: fig14_06.c
   Using temporary files */
#include <stdio.h>

int main()
{
   FILE *filePtr, *tempFilePtr;
   int c;
   char fileName[ 30 ];

   printf( "This program changes tabs to spaces.\n"
          "Enter a file to be modified: " );
   scanf( "%29s", fileName );

   if ( ( filePtr = fopen( fileName, "r+" ) ) != NULL )

      if ( ( tempFilePtr = tmpfile() ) != NULL ) {
         printf( "\nThe file before modification is:\n" );

         while ( ( c = getc(filePtr) ) != EOF ) {
            putchar( c );
            putc( c == '\t' ? ' ': c, tempFilePtr );
         }

         rewind( tempFilePtr );
         rewind( filePtr );
         printf( "\n\nThe file after modification is:\n" );

         while ( ( c = getc(tempFilePtr) ) != EOF ) {
            putchar( c );
            putc( c, filePtr );
         }

      }
      else
         printf( "Unable to open temporary file\n" );

   else
      printf( "Unable to open %s\n", fileName );

   return 0;
}



/**************************************************************************
 * (C) Copyright 2000 by Deitel & Associates, Inc. and Prentice Hall.     *
 * All Rights Reserved.                                                   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
