/* Fig. 6.15: fig06_15.c
   This program sorts an array's values into 
   ascending order */
#include <stdio.h>
#define SIZE 10

int main() 
{   
   int a[ SIZE ] = { 2, 6, 4, 8, 10, 12, 89, 68, 45, 37 };
   int i, pass, hold;
   
   printf( "Data items in original order\n" );
   
   for ( i = 0; i <= SIZE - 1; i++ )
      printf( "%4d", a[ i ] );

   for ( pass = 1; pass <= SIZE - 1; pass++ )  /* passes */

      for ( i = 0; i <= SIZE - 2; i++ )      /* one pass */

         if ( a[ i ] > a[ i + 1 ] ) {  /* one comparison */
            hold = a[ i ];                   /* one swap */
            a[ i ] = a[ i + 1 ];
            a[ i + 1 ] = hold;
         }

   printf( "\nData items in ascending order\n" );

   for ( i = 0; i <= SIZE - 1; i++ )
      printf( "%4d", a[ i ] );

   printf( "\n" );

   return 0;
}



/**************************************************************************
 * (C) Copyright 2000 by Deitel & Associates, Inc. and Prentice Hall.     *
 * All Rights Reserved.                                                   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
