/* Fig. 14.3: fig14_03.c
   Using command-line arguments */
#include <stdio.h>

int main( int argc, char *argv[] )
{ 
   FILE *inFilePtr, *outFilePtr;
   int c;

   if ( argc != 3 )
      printf( "Usage: copy infile outfile\n" );
   else
      if ( ( inFilePtr = fopen( argv[ 1 ], "r" ) ) != NULL )

         if ( ( outFilePtr = fopen( argv[ 2 ], "w" ) ) != NULL )

            while ( ( c = fgetc( inFilePtr ) ) != EOF )
               fputc( c, outFilePtr );

         else
            printf( "File \"%s\" could not be opened\n", argv[ 2 ] ); 

      else
         printf( "File \"%s\" could not be opened\n", argv[ 1 ] );

   return 0;
}

 

/**************************************************************************
 * (C) Copyright 2000 by Deitel & Associates, Inc. and Prentice Hall.     *
 * All Rights Reserved.                                                   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
